Ir al contenido principal

Este explorador ya no se admite.

Actualice a Microsoft Edge para aprovechar las características y actualizaciones de seguridad más recientes, y disponer de soporte técnico.

Descargar Microsoft Edge Más información sobre Internet Explorer y Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Connections

Get a connection

GET /connections/{name}

Retrieves the specified connection and its configuration details without including credential values.

Parámetros de consulta

api-version string requerido

The API version to use for this operation.

Parámetros de la ruta de acceso

name string requerido

The friendly name of the connection, provided by the user.

Parámetros de encabezado

x-ms-client-request-id string

An opaque, globally-unique, client-generated string identifier for the request.

Respuestas

The request has succeeded.

Encabezados

x-ms-client-request-id string

An opaque, globally-unique, client-generated string identifier for the request.

Cuerpo

Content-Type: application/json
name string requerido

The friendly name of the connection, provided by the user.

id string requerido

A unique identifier for the connection, generated by the service

type string | enum requerido

The Type (or category) of the connection

Cualquiera de las siguientes:
string
enum
AzureOpenAIAzureBlobAzureStorageAccountCognitiveSearchCosmosDBApiKeyAppConfigAppInsightsCustomKeysRemoteTool_PreviewOpenAPIRemoteA2A
target string requerido

The connection URL to be used for this service

isDefault boolean requerido

Whether the connection is tagged as the default connection of its type

credentials ApiKey | AAD | CustomKeys | SAS | None | AgenticIdentityToken_Preview requerido

A base class for connection credentials

Uno de los siguientes:
ApiKey ApiKeyCredentials

API Key Credential definition

type enum requerido

The credential type

ApiKey
key string

API Key

AAD EntraIDCredentials

Entra ID credential definition

type enum requerido

The credential type

AAD
CustomKeys CustomCredential

Custom credential definition

type enum requerido

The credential type

CustomKeys
SAS SASCredentials

Shared Access Signature (SAS) credential definition

type enum requerido

The credential type

SAS
SAS string

SAS token

None NoAuthenticationCredentials

Credentials that do not require authentication

type enum requerido

The credential type

None
AgenticIdentityToken_Preview AgenticIdentityPreviewCredentials

Agentic identity credential definition

type enum requerido

The credential type

AgenticIdentityToken_Preview
metadata object requerido

Metadata of the connection

[key: string] string

Client error

Encabezados

x-ms-error-code string

String error code indicating what went wrong.

Cuerpo

Content-Type: application/json
error Azure.Core.Foundations.Error requerido

The error object.

code string requerido

One of a server-defined set of error codes.

message string requerido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Encabezados

x-ms-error-code string

String error code indicating what went wrong.

Cuerpo

Content-Type: application/json
error Azure.Core.Foundations.Error requerido

The error object.

code string requerido

One of a server-defined set of error codes.

message string requerido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Solicitar

GET /connections/{name} HTTP/1.1

Respuesta

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
es-es
Sus opciones de privacidad
  • Declinación de responsabilidades de IA
  • Versiones anteriores
  • Blog
  • Contribuir
  • Privacidad
  • Privacidad de estado del consumidor
  • Términos de uso
  • Marcas comerciales
  • © Microsoft 2026